Skip to main content
curl
curl https://api.getspine.ai/v1/run/<run_id> \
  -H "X-API-KEY: sk_spine_..."
{
  "success": true,
  "data": {
    "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "running",
    "canvas_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "progress": {
      "tasks_completed": 123,
      "tasks_total": 123,
      "elapsed_ms": 123
    },
    "duration_ms": 123,
    "result": {
      "final_output": "<string>",
      "artifacts": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "docx",
          "name": "Q1_Report.docx",
          "download_url": "<string>",
          "size_bytes": 123
        }
      ]
    },
    "metadata": {
      "template_used": "auto",
      "models_used": [
        "anthropic/claude-sonnet-4-6"
      ],
      "credits_consumed": 123
    },
    "errors": [
      {
        "error": "<string>"
      }
    ]
  }
}

Authorizations

X-API-KEY
string
header
required

An API key from the Spine developer portal. Keys are prefixed with sk_spine_ and shown only once at creation. Keep them server-side.

Path Parameters

run_id
string<uuid>
required

The run identifier returned by POST /v1/run.

Response

Current run state.

success
boolean
required
data
object
required